Bug 1302593 - Deployment of Ceph times out in IPv6
Summary: Deployment of Ceph times out in IPv6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: y3
: 7.0 (Kilo)
Assignee: Giulio Fidente
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1301629 1301701 1308562 1308910
Blocks: 1309822
TreeView+ depends on / blocked
 
Reported: 2016-01-28 08:45 UTC by Giulio Fidente
Modified: 2016-04-26 20:35 UTC (History)
15 users (show)

Fixed In Version: openstack-tripleo-heat-templates-0.8.6-113.el7ost
Doc Type: Bug Fix
Doc Text:
The director inappropriately configured Ceph Storage IPv6, which caused deployment timeouts and Overcloud deployment failure. This fix adds an input parameter (CephIPv6) in Heat templates, which sets the relevant Ceph config option (ms_bind_ipv6). Ceph Storage is now functional and the Overcloud deployment completes when using IPv6 for the Storage network.
Clone Of: 1299613
: 1309822 (view as bug list)
Environment:
Last Closed: 2016-02-18 16:51:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 272089 None None None 2016-01-28 08:45:38 UTC
Red Hat Product Errata RHBA-2016:0264 normal SHIPPED_LIVE Red Hat Enterprise Linux OSP 7 director Bug Fix Advisory 2016-02-18 21:41:29 UTC

Description Giulio Fidente 2016-01-28 08:45:38 UTC
Description of problem:
Deployment of Ceph times out when using IPv6 for the storage network.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-0.8.6-112.el7ost.noarch

Comment 1 Giulio Fidente 2016-01-28 08:54:41 UTC
The patches make it possible to deploy Ceph using IPv6 but the Ceph bug this depends on prevents the deployment from finishing when using a single Controller.

Comment 2 Jaromir Coufal 2016-02-03 10:30:37 UTC
Is there actual issue in director or it is Ceph bug only? If it is Ceph bug only, can we close the bug please?

Comment 3 Giulio Fidente 2016-02-03 10:32:42 UTC
There is an actual OSPd bug, patches are linked.

In addition to the patches, Ceph deployment will continue to timeout when using a single Controller because of the Ceph bug.

Comment 5 Marius Cornea 2016-02-17 09:59:03 UTC
The THT code is there but deployment with a single controller still times out so I'm going to move this verified once BZ#1308562 and BZ#1308910 get implemented.

Comment 8 errata-xmlrpc 2016-02-18 16:51:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0264.html


Note You need to log in before you can comment on or make changes to this bug.